Get settings¶
GET/
Endpoint API · Policy Management
Policy settings.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
policyId | path | string (uuid) | Yes | Policy ID. |
Request samples¶
curl -X GET "https://api-<data-region>.central.sophos.com/endpoint/v1/policies/<policyId>/settings" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"
import requests
response = requests.get(
"https://api-<data-region>.central.sophos.com/endpoint/v1/policies/<policyId>/settings",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api-<data-region>.central.sophos.com/endpoint/v1/policies/<policyId>/settings" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api-<data-region>.central.sophos.com/endpoint/v1/policies/<policyId>/settings", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/endpoint/v1/policies/<policyId>/settings", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — List of the settings in a policy.¶
Errors¶
| Status | Meaning |
|---|---|
404 | Can't find setting value. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
Response examples¶
200¶
{
"endpoint.malware.enabled": {
"value": true,
"recommendedValue": true,
"sophosManaged": true
},
"endpoint.scans.scheduled.days": {
"format": "string",
"value": [
"monday",
"wednesday",
"friday"
]
},
"endpoint.scans.scheduled.hour": {
"value": "21:00"
},
"endpoint.scans.scheduled.start-from": {
"value": "2020-05-13T21:00:01.000Z",
"format": "date-time"
},
"endpoint.disk-encryption.key-expiration": {
"value": 24,
"unit": "hours",
"recommendedValue": 48
}
}
See the guide for a narrative walkthrough of this API.